Retrieve Declared Parameters
// Overview
Leveraging the unique interactionIdentifier provided upon successfully declaring the audioaudio, chatchat, or transcripttranscript interaction, this endpoint enables you to instantly retrieve the parameters declared when submitting the interaction for processing.
When this GET request successfully executes, an HTTP status will be returned to indicate the request was successful, along with a JSON response outlining the declared parameterseclared parameters for the given interactionIdentifier.
{
"identifier": "a3c1c9b5-5371-472c-97c1-538b369ff149",
"type": "audio",
"languageTag": "en-US",
"vertical": "default",
"audioTranscriptionMode": "highSpeed",
"transcript": null,
"chat": null,
"downloadUri": null,
"includeAiResults": true
}If an error occurs when requesting to declare the interaction, a standard HTTP response code is retuned to indicate the request was unsuccessful, along with a JSON response containing additional details to assist with troubleshooting.
// Request Parameters & Code Example
- interactionIdentifierstringrequiredDescription
- X-API-TokenstringrequiredDescription
- Accept-EncodingstringDescription
curl --location -g --request GET 'https://api.elevateai.com/v1/interactions/{InteractionIdentifier}' \
--header 'Accept-Encoding: gzip, deflate, br' \
--header 'X-API-Token: {Your API Token}'var request = require('request');
var options = {
'method': 'GET',
'url': 'https://api.elevateai.com/v1/interactions/{InteractionIdentifier}',
'headers': {
'Accept-Encoding': 'gzip, deflate, br',
'X-API-Token': '{Your API Token}'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
var myHeaders = new Headers();
myHeaders.append("Accept-Encoding", "gzip, deflate, br");
myHeaders.append("X-API-Token", "{Your API Token}");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.elevateai.com/v1/interactions/{InteractionIdentifier}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));import http.client
conn = http.client.HTTPSConnection("api.elevateai.com")
payload = ''
headers = {
'Accept-Encoding': 'gzip, deflate, br',
'X-API-Token': '{Your API Token}'
}
conn.request("GET", "/v1/interactions/{InteractionIdentifier}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require "uri"
require "net/http"
url = URI("https://api.elevateai.com/v1/interactions/{InteractionIdentifier}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept-Encoding"] = "gzip, deflate, br"
request["X-API-Token"] = "{Your API Token}"
response = https.request(request)
puts response.read_bodyvar client = new RestClient("https://api.elevateai.com/v1/interactions/{InteractionIdentifier}");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Accept-Encoding", "gzip, deflate, br");
request.AddHeader("X-API-Token", "{Your API Token}");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.elevateai.com/v1/interactions/%7BInteractionIdentifier%7D',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => array(
'Accept-Encoding: gzip, deflate, br',
'X-API-Token: {Your API Token}'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
{
"identifier": "string",
"type": "string",
"languageTag": "string",
"vertical": "string",
"audioTranscriptionMode": "string",
"transcript": null,
"chat": null,
"downloadUri": "string",
"includeAiResults": boolean
}
{
"errorMessage": "string"
}{
"errorMessage": "string"
}// Response Schema
Schema
Element | Type | Description |
|---|---|---|
identifier | string | Unique interactionIdentifier associated with the request |
type | string | Type of interaction, will be audio, chat, or transcript |
languageTag | string | Primary language of the file, will be en-us for North American English, en for International English, or es-419 for North American Spanish |
vertical | string | Vertical associated with interaction, will be default |
audioTranscriptionMode | string or null | If applicable, desired transcription prioritization, will be highSpeed or highAccuracy |
transcript | null | Uploaded transcripts are deleted upon processing |
chat | null | Uploaded chats are deleted upon processing |
downloadUri | string or null | URL of audio file, if applicable |
includeAiResults | string | Include AI results, will be true or false |
Need more help? Contact the ElevateAI Support team.